package com.agilex.healthcare.schedulingmanager.datalayer.preference;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.schedulingmanager.domain.SMPatientPreference;

public interface PatientPreferenceDataLayer {
	
	public SMPatientPreference fetchPatientPreference(PatientIdentifier patientId);

	public SMPatientPreference updatePatientPreference(SMPatientPreference SMPatientPreference);
	
	public void deletePatientPreference(SMPatientPreference SMPatientPreference);
}
